<!DOCTYPE HTML>

<html>
<head>
    <title>Secure SMS Gateway</title>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <!--[if lte IE 8]>
    <script src="assets/js/ie/html5shiv.js"></script><![endif]-->
    <link rel="stylesheet" href="assets/css/main.css"/>
    <link rel="stylesheet" type="text/css" href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.css">
    <!--[if lte IE 8]>
    <link rel="stylesheet" href="assets/css/ie8.css"/><![endif]-->
    <!--[if lte IE 9]>
    <link rel="stylesheet" href="assets/css/ie9.css"/><![endif]-->
    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

</head>
<body class="homepage">
<div id="page-wrapper">

    <!-- Header -->
    <div id="header-wrapper">
        <div class="container">

            <!-- Header -->
            <header id="header">
                <div class="inner">

                    <!-- Logo -->
                    <h1><a href="/profile" id="logo">Secure SMS gateway</a></h1>

                    <!-- Nav -->
                    <nav id="nav">
                        <ul>
                            <li><a href="#"><%= user.local.email %><br></a></li>
                            <li>
                                <a href="#">Správa SMS brány</a>
                                <ul>
                                    <li class="current_page_item"><a href="/mobile_numbers">Mobilné čísla</a></li>
                                    <li><a href="/devices">Registrované zariadenia</a></li>
                                    <li>
                                        <a href="#">Emailové nastavenia</a>
                                        <ul>
                                            <li><a href="/email_sms_forwarding">email -> sms presmerovanie</a></li>
                                            <li><a href="/sms_email_forwarding">sms -> email presmerovanie</a></li>
                                        </ul>
                                    </li>
                                    <li>
                                        <a href="#">ws nastavenia</a>
                                        <ul>
                                            <li><a href="/ws_sms_forwarding">ws -> sms presmerovanie</a></li>
                                            <li><a href="/sms_ws_forwarding">sms -> ws presmerovanie</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                            <li><a href="#">Správy</a>
                                <ul>
                                    <li><a href="#">SMS</a>
                                        <ul>
                                            <li><a href="/received_sms">Prijaté sms</a></li>
                                            <li><a href="/sent_sms">odoslané sms</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="#">EMAIL</a>
                                        <ul>
                                            <li><a href="/received_email">prijaté emaily</a></li>
                                            <li><a href="/sent_email">odoslané emaily</a></li>
                                        </ul>
                                    </li>
                                    <li><a href="#">WS</a>
                                        <ul>
                                            <li><a href="/received_ws">prijaté ws</a></li>
                                            <li><a href="/sent_ws">odoslané ws</a></li>
                                        </ul>
                                    </li>
                                </ul>
                            </li>
                            <li><a href="/logout">odhlásiť</a></li>
                        </ul>
                    </nav>

                </div>
            </header>
        </div>
    </div>

    <!-- Main Wrapper -->
    <div id="main-wrapper">
        <div class="wrapper style2">
            <div class="inner">
                <div class="container">
                    <div id="content">

                        <!-- Content -->


                        <header class="major">
                            <h2>Registrované zariadenia</h2>
                        </header>

                        <% if (success.length > 0) { %>
                        <div class="alert alert-success fade in" id="success-alert"><%= success %></div>
                        <% } %>

                        <% if (error.length > 0) { %>
                        <div class="alert alert-danger"><%= error %></div>
                        <% } %>

                        <table id="devicesTable" class="display" width="100%"></table>
                        <div class="btn_group">
                            <button class='btn btn-success' type='button' data-toggle='modal'
                                    data-target='#addDevicePopup'>Pridať zariadenie
                            </button>
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="modal fade" id="addDevicePopup" role="dialog">
            <div class="modal-dialog">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                        <h4 class="modal-title" id="deviceName">Pridať nové zariadenie</h4>
                    </div>
                    <form action="/devices/registerNewDevice" id="deviceDetailForm" method="post">
                        <div class="modal-body">

                            <div class="form-group">
                                <label for="device_name_id" class="control-label">Názov</label>
                                <input type="text" class="form-control" placeholder="Rpi2"
                                       id="device_name_id" name="device_name">
                            </div>
                            <div class="form-group">
                                <label for="description_id" class="control-label">Popis</label>
                                <input type="text" class="form-control" placeholder="Description"
                                       id="description_id" name="description">
                            </div>
                            <div class="input-group">
                                <label for="mobile_number_id" class="control-label">Telefónne číslo</label>
                                <select class="form-control" id="mobile_number_id" name="number_id">

                                </select>
                            </div>

                            <div class="input-group">
                                <input type="hidden" class="form-control" name="device_id" readonly>
                            </div>

                        </div>
                        <div class="modal-footer">
                            <div class="btn_group">
                                <button type="submit" id="submit" class="btn btn-success">Odoslať</button>
                                <button type="button" class="btn btn-default" data-dismiss="modal">Zavrieť</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <div class="modal modal-wide fade autoModal" id="deviceDetail" role="dialog">
            <div class="modal-dialog modal-lg">

                <!-- Modal content-->
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title" id="deviceName">Detail zariadenia</h4>
                    </div>

                    <div id="exTab2" class="container-fluid">
                        <ul class="nav nav-tabs">
                            <li class="active">
                                <a href="#1" data-toggle="tab">Parametre</a>
                            </li>
                            <li>
                                <a href="#2" data-toggle="tab">Základné informácie</a>
                            </li>
                            <li><a href="#3" data-toggle="tab">Vlastná abeceda</a>
                            </li>
                            <li><a href="#4" data-toggle="tab">Akcie</a>
                            </li>
                        </ul>
                        <div class="alert alert-danger hidden" id="device_detail_error_alert" role="alert">
                            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                            <span class="sr-only">Chyba:</span>
                        </div>
                        <div class="alert alert-success hidden" id="device_detail_success_alert" role="alert">
                            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                            <span class="sr-only">OK:</span>
                        </div>
                        <div class="tab-content ">
                            <div class="tab-pane active" id="1">
                                <div class="container-fluid">
                                    <h4>Systémovo generované parametre pre zariadenie</h4>


                                    <div class="alert alert-success" id="device_detail_success_alert" role="alert">
                                            <span class="glyphicon glyphicon-exclamation-sign"
                                                  aria-hidden="true"></span>
                                        <span class="sr-only">OK:</span>
                                        Zoznam čísel, na ktorých môže SMS brána prijímať SMS správy
                                    </div>

                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <h3 class="panel-title">Zoznam čísel SMS brány</h3>
                                        </div>
                                        <div class="panel-body" id="serverGatewayNumbersPanelId">
                                        </div>
                                    </div>

                                    <div class="alert alert-success" id="device_detail_success_alert" role="alert">
                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                        <span class="sr-only">OK:</span>
                                        Vygenerovaný API kľúč musí byť prenesený do zariadenia pre začatie výmeny kľúčov
                                    </div>

                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <h3 class="panel-title">Systémovo generovaný API kľúč</h3>
                                        </div>
                                        <div class="panel-body" id="api_key_panel_id">
                                        </div>
                                    </div>
                                    <br>
                                    <div id="custom_alphabet" class="hidden">
                                        <div class="alert alert-success" id="device_detail_success_alert" role="alert">
                                            <span class="glyphicon glyphicon-exclamation-sign"
                                                  aria-hidden="true"></span>
                                            <span class="sr-only">OK:</span>
                                            Vygenerovaná vlastná abeceda musí byť prenesená do zariadenia pre zlepšenie kompresie prenášaných údajov.
                                        </div>

                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h3 class="panel-title">Systémovo generovaná vlastná abeceda</h3>
                                            </div>
                                            <div class="panel-body" id="custom_generated_alphabet_id">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="tab-pane" id="2">

                                <div class="container-fluid">
                                    <h4>Základné informácie o zariadení</h4>
                                    <form id="deviceDetailBasicId">
                                        <div class="modal-body">

                                            <div class="form-group">
                                                <label for="device_name_id" class="control-label">Názov</label>
                                                <input type="text" class="form-control" placeholder="Rpi2"
                                                       id="device_name_id" name="device_name">
                                            </div>
                                            <div class="form-group">
                                                <label for="description_id" class="control-label">Popis</label>
                                                <input type="text" class="form-control" placeholder="Description"
                                                       id="description_id" name="description">
                                            </div>
                                            <div class="input-group">
                                                <label for="device_detail_mobile_number_id" class="control-label">Telefónne číslo</label>
                                                <select class="form-control" id="device_detail_mobile_number_id"
                                                        name="number_id">
                                                </select>
                                            </div>
                                            <div class="form-group">
                                                <label for="created_at_id" class="control-label">Dátum vytvorenia</label>
                                                <input type="datetime" class="form-control" placeholder="Description"
                                                       id="created_at_id" name="created_at" readonly>
                                            </div>
                                            <div class="form-group">
                                                <label for="modified_at_id" class="control-label">Dátum modifikácie</label>
                                                <input type="datetime" class="form-control"
                                                       id="modified_at_id" name="modified_at" readonly>
                                            </div>
                                            <div class="form-group">
                                                <label for="shared_secret_key_negotiation_status_id"
                                                       class="control-label">Stav výmeny kľúčov</label>
                                                <input type="text" class="form-control"
                                                       placeholder="Key negotiation not started yet"
                                                       id="shared_secret_key_negotiation_status_id"
                                                       name="shared_secret_key_negotiation_status" readonly>
                                            </div>
                                            <div class="form-group">
                                                <label for="api_key_negotiation_status_id" class="control-label">Stav výmeny API kľúčov</label>
                                                <input type="text" class="form-control"
                                                       placeholder="Api key negotiation not started yet"
                                                       id="api_key_negotiation_status_id"
                                                       name="api_key_negotiation_status"
                                                       readonly>
                                            </div>
                                            <div class="form-group">
                                                <label for="api_key_modified_at_id" class="control-label">Dátum modifikácie API kľúča</label>
                                                <input type="datetime" class="form-control"
                                                       id="api_key_modified_at_id" name="api_key_modified_at" readonly>
                                            </div>
                                            <div class="input-group">
                                                <input type="hidden" class="form-control" name="device_id" readonly>
                                            </div>
                                        </div>
                                        <div class="modal-footer">
                                            <div class="btn_group">
                                                <button type="submit" id="submit" class="btn btn-success">Odoslať
                                                </button>
                                                <button type="button" class="btn btn-default" data-dismiss="modal">Zavrieť
                                                </button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                            </div>
                            <div class="tab-pane" id="3">
                                <div class="container-fluid">
                                    <h4>Nastavenia vlastnej abecedy</h4>

                                    <div class="alert alert-success" id="device_detail_success_alert" role="alert">
                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                        <span class="sr-only">Success:</span>
                                        Pre zlepšenie kompresie prenášaných údajov prosím vložte príklad dátového súboru.
                                        <br>
                                        Vygenerovaná vlastná abeceda bude dostupná v záložke <strong>Parametre</strong>.
                                    </div>

                                    <div class="panel panel-default">
                                        <div class="panel-heading">
                                            <h3 class="panel-title">Pole pre vloženie dátového súboru</h3>
                                        </div>

                                        <div class="panel-body" id="api_key_panel_id">

                                            <form accept-charset="UTF-8" method="POST"
                                                  id="data_set_upload_form_id">
                                                <textarea class="form-control" id="data_set" name="data_set"
                                                          placeholder="Paste in your data set" rows="5"></textarea>
                                                <h6 class="pull-right" id="data_set_count_message"></h6>
                                                <button class="btn btn-success" type="submit">Vygenerovať vlastnú abecedu
                                                </button>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                            </div>
                            <div class="tab-pane" id="4">
                                <div class="container-fluid">
                                    <h4>Akcie</h4>
                                    <div class="alert alert-success" id="device_actions_alert" role="alert">
                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                        <span class="sr-only">OK:</span>
                                        Na tejto stránke môžete otestovať komunikáciu so zariadením alebo iniciovať výmenu kľúčov.
                                    </div>
                                    <div class="alert alert-danger hidden" id="device_actions_error_alert" role="alert">
                                        <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"></span>
                                        <span class="sr-only">Chyba:</span>
                                        Komunikácia so zariadením ešte nezačala.
                                    </div>
                                    <div id="device_actions">
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h3 class="panel-title">Test komunikácie zariadenia</h3>
                                            </div>
                                            <div class="panel-body" id="test_comm_panel_id">
                                                <div class="panel-body" id="test_comm_panel_id">
                                                    <label for="test_message_status" class="control-label">Stav testovacej správy</label>
                                                    <div id="test_message_status">-</div>
                                                    <br>
                                                    <label for="test_message_status_modfied_at" class="control-label">Dátum modifikácie stavu testovacej správy</label>
                                                    <div id="test_message_status_modfied_at">-</div>
                                                    <br>
                                                    <button class="btn btn-success" type="submit"
                                                            id="send_test_messgage_button_id">
                                                        Odoslať testovaciu správu
                                                    </button>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="panel panel-default">
                                            <div class="panel-heading">
                                                <h3 class="panel-title">Vyžiadať výmenu kľúčov</h3>
                                            </div>
                                            <div class="panel-body" id="key_exchange_panel_id">
                                                <label for="key_exchange_status" class="control-label">Stav výmeny kľúčov</label>
                                                <div id="key_exchange_status">-</div>
                                                <br>
                                                <label for="key_exchange_status_modfied_at" class="control-label">Dátum modifikácie stavu výmeny kľúčov</label>
                                                <div id="key_exchange_status_modfied_at">-</div>
                                                <br>
                                                <button class="btn btn-success" type="submit"
                                                        id="start_key_exchange_button_id">Vyžiadať výmenu kľúčov
                                                </button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
</body>
<!-- Scripts -->


<script src="assets/js/jquery.min.js"></script>
<script src="assets/js/jquery.dropotron.min.js"></script>
<script src="assets/js/skel.min.js"></script>
<script src="assets/js/skel-viewport.min.js"></script>
<script src="assets/js/util.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
        integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
        crossorigin="anonymous"></script>
<script src="javascripts/devices.js"></script>
<script type="text/javascript" charset="utf8" src="//cdn.datatables.net/1.10.15/js/jquery.dataTables.js"></script>
<!--[if lte IE 8]>
<script src="assets/js/ie/respond.min.js"></script><![endif]-->
<script src="assets/js/main.js"></script>
</html>